Page MenuHomePhabricator

Add a CircleCI webhook
ClosedPublic

Authored by epriestley on Oct 15 2015, 4:38 PM.

Details

Summary

Ref T9456. This makes everything work, except that CircleCI doesn't fetch tags which are not ancestors of branch heads.

Test Plan

Ran passing builds through CircleCI.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 34489.Oct 15 2015, 4:38 PM
epriestley retitled this revision from to Add a CircleCI webhook.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad accepted this revision.Oct 15 2015, 4:48 PM
chad edited edge metadata.
This revision is now accepted and ready to land.Oct 15 2015, 4:48 PM
epriestley updated this revision to Diff 35251.Nov 25 2015, 3:18 PM
epriestley edited edge metadata.
  • Rebase after possible CircleCI changes.
  • Rebase.
  • No substantive changes.
epriestley updated this revision to Diff 37383.Mar 22 2016, 7:11 PM
  • Treat "fixed" from CircleCI as a "pass". This status means "previously failed, but now passed" as far as I can tell.
This revision was automatically updated to reflect the committed changes.